<?php

namespace App\Model\Street;


class DownloadList extends Base
{
    protected $updateTime = false;
    protected $autoTimeStamp = true;
    protected $pk = 'id';
    protected $createTime='create_time';
    protected $tableName = 'download_list';
    protected $tableField = [
        'id' => [],
        'name' => ['type' => 'string'],
        'done' => [],
    ];

    protected $operation = [
        'add' => [
            'field' => '*',
        ],
        'edit_download'=>[
            'field'=>'*'
        ],
        'edit' => [
            'field' => '*'
        ],
        'search' => [
            'field' => ['pid', 'server_id', 'ip', 'status', 'forbidden_server_id', 'title']
        ]
    ];

    protected $validate = [
        'title' => 'require',
    ];

    protected $validateMessage = [
        'title.require' => '标题不可以为空',
    ];
    public function getDownloadWork(){

    }

    public function getIps(){
        $ips = $this->where(['is_done' => 0])->field(['ip'])->group('ip')->all();
        $ips = array_map(function ($v) {
            return $v->toArray();
        }, $ips);
        $ips = array_column($ips, 'ip');
        asort($ips);
        return $ips;
    }
}
